/*
 Navicat MySQL Data Transfer

 Source Server         : 192.168.1.70
 Source Server Type    : MySQL
 Source Server Version : 50736 (5.7.36)
 Source Host           : 192.168.1.70:3306
 Source Schema         : calf_feed

 Target Server Type    : MySQL
 Target Server Version : 50736 (5.7.36)
 File Encoding         : 65001

 Date: 18/10/2023 13:45:49
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for system_menu
-- ----------------------------
DROP TABLE IF EXISTS `system_menu`;
CREATE TABLE `system_menu`  (
  `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '菜单名称',
  `menu_type` tinyint(1) UNSIGNED NOT NULL DEFAULT 1 COMMENT '菜单类型 0 无效 1 菜单 2 按钮',
  `level` tinyint(1) UNSIGNED NOT NULL DEFAULT 1 COMMENT '菜单等级 1 一级 2 二级 3 三级',
  `title` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '标题',
  `path` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '路径',
  `component` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '组件',
  `icon` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '图标',
  `sort` int(11) UNSIGNED NOT NULL DEFAULT 0 COMMENT '排序',
  `redirect` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '重定向',
  `parent_id` int(11) UNSIGNED NOT NULL DEFAULT 0 COMMENT '父id',
  `is_show` tinyint(1) UNSIGNED NOT NULL DEFAULT 1 COMMENT '是否启用 0 无效 1 启动 2 关闭',
  `is_delete` tinyint(1) NOT NULL DEFAULT 1 COMMENT '是否删除 0 无效 1 未删除 2 已删除',
  `created_at` bigint(20) UNSIGNED NOT NULL DEFAULT 0 COMMENT '创建时间',
  `updated_at` bigint(20) UNSIGNED NOT NULL DEFAULT 0 COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `idx_name`(`name`) USING BTREE,
  INDEX `idx_parent_id`(`parent_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 141 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '系统菜单表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of system_menu
-- ----------------------------
INSERT INTO `system_menu` VALUES (87, '数据统计', 1, 1, '数据统计', 'process:time', 'Layout', 'iconfont el-icon-s-ORDER', 7, '', 0, 1, 1, 1692689011, 1692689011);
INSERT INTO `system_menu` VALUES (88, '牛只管理', 1, 1, '牛只管理', 'calf:management ', 'Layout', 'iconfont el-icon-s-ORDER', 6, '', 0, 1, 1, 1692689011, 1692689011);
INSERT INTO `system_menu` VALUES (89, '栏舍管理', 1, 1, '栏舍管理', 'barn:management', 'Layout', 'iconfont el-icon-s-ORDER', 5, '', 0, 1, 1, 1692689011, 1692689011);
INSERT INTO `system_menu` VALUES (90, '配方计划', 1, 1, '配方计划', 'feed:plan', 'Layout', 'iconfont el-icon-s-ORDER', 4, '', 0, 1, 1, 1692689011, 1692689011);
INSERT INTO `system_menu` VALUES (91, '工单管理', 1, 1, '工单管理', 'work:order', 'Layout', 'iconfont el-icon-s-ORDER', 3, '', 0, 1, 1, 1692689011, 1692689011);
INSERT INTO `system_menu` VALUES (92, '基础设置', 1, 1, '基础设置', 'base:setting', 'Layout', 'iconfont el-icon-s-ORDER', 2, '', 0, 1, 1, 1692689011, 1692689011);
INSERT INTO `system_menu` VALUES (93, '系统设置', 1, 1, '系统设置', 'system:setting', 'Layout', 'iconfont el-icon-s-ORDER', 1, '', 0, 1, 1, 1692689011, 1692689011);
INSERT INTO `system_menu` VALUES (95, '饲喂过程', 1, 2, '饲喂过程', 'FeedProcess', '', 'iconfont el-icon-s-ORDER', 1, '', 87, 1, 1, 1683707629, 1684290645);
INSERT INTO `system_menu` VALUES (96, '牛只信息', 1, 2, '牛只信息', 'CowInfo', '', 'iconfont el-icon-s-ORDER', 1, '', 88, 1, 1, 1683707629, 1684290645);
INSERT INTO `system_menu` VALUES (97, '事件记录', 1, 2, '事件记录', 'EventRecord', 'systemManagement/eventInfo/index', 'iconfont el-icon-s-ORDER', 1, '', 88, 1, 1, 1683707629, 1684290645);
INSERT INTO `system_menu` VALUES (98, '牛只栏舍', 1, 2, '牛只栏舍', 'CowCowShed', 'systemManagement/calfBarn/index', 'iconfont el-icon-s-ORDER', 1, '', 89, 1, 1, 1683707629, 1684290645);
INSERT INTO `system_menu` VALUES (99, '栏舍分组', 1, 2, '栏舍分组', 'CowShedGroup', 'systemManagement/calfBarnGroup/index', 'iconfont el-icon-s-ORDER', 1, '', 89, 1, 1, 1683707629, 1684290645);
INSERT INTO `system_menu` VALUES (100, '饲喂计划', 1, 2, '饲喂计划', 'FeedPlan', 'systemManagement/feedPlan/index', 'iconfont el-icon-s-ORDER', 1, '', 90, 1, 1, 1683707629, 1684290645);
INSERT INTO `system_menu` VALUES (101, '日龄饲喂模板', 1, 2, '日龄饲喂模板', 'FormulaTemplate', 'systemManagement/forageInfo/index', 'iconfont el-icon-s-ORDER', 1, '', 90, 1, 1, 1683707629, 1684290645);
INSERT INTO `system_menu` VALUES (102, '犊牛类型', 1, 2, '犊牛类型', 'CalfType', 'systemManagement/calfInfo/index', 'iconfont el-icon-s-ORDER', 1, '', 92, 1, 1, 1683707629, 1684290645);
INSERT INTO `system_menu` VALUES (103, '饲喂车管理', 1, 2, '饲喂车管理', 'FeedCarManagement', 'systemManagement/feedVehicle/index', 'iconfont el-icon-s-ORDER', 1, '', 92, 1, 1, 1683707629, 1684290645);
INSERT INTO `system_menu` VALUES (104, '预设饲喂模板', 1, 2, '预设饲喂模板', 'FeedTemplate', 'systemManagement/feedVehicle/index', 'iconfont el-icon-s-ORDER', 1, '', 92, 1, 1, 1683707629, 1684290645);
INSERT INTO `system_menu` VALUES (105, '默认标准参数', 1, 2, '默认标准参数', 'DefaultPara', 'systemManagement/feedVehicle/index', 'iconfont el-icon-s-ORDER', 1, '', 92, 1, 1, 1683707629, 1684290645);
INSERT INTO `system_menu` VALUES (106, '饲料成本设置', 1, 2, '饲料成本设置', 'FeedCostSet', 'systemManagement/feedVehicle/index', 'iconfont el-icon-s-ORDER', 1, '', 92, 1, 1, 1683707629, 1684290645);
INSERT INTO `system_menu` VALUES (107, '角色管理', 1, 2, '角色管理', 'Role', 'systemManagement/role/index', 'iconfont el-icon-s-ORDER', 1, '', 93, 1, 1, 1683707629, 1684290645);
INSERT INTO `system_menu` VALUES (108, '用户管理', 1, 2, '用户管理', 'User', 'user/feedVehicle/index', 'iconfont el-icon-s-ORDER', 1, '', 93, 1, 1, 1683707629, 1684290645);
INSERT INTO `system_menu` VALUES (109, '牛只信息编辑', 2, 3, '牛只信息编辑', '', 'console/menu/show/index', 'iconfont el-icon-s-ORDER', 1, '', 96, 1, 1, 1683707629, 1685417159);
INSERT INTO `system_menu` VALUES (110, '事件记录编辑', 2, 3, '事件记录编辑', '', 'console/menu/show/index', 'iconfont el-icon-s-ORDER', 1, '', 97, 1, 1, 1683707629, 1685417159);
INSERT INTO `system_menu` VALUES (111, '牛只栏舍编辑', 2, 3, '牛只栏舍编辑', '', 'console/menu/show/index', 'iconfont el-icon-s-ORDER', 1, '', 98, 1, 1, 1683707629, 1685417159);
INSERT INTO `system_menu` VALUES (112, '栏舍分组编辑', 2, 3, '栏舍分组编辑', '', 'console/menu/show/index', 'iconfont el-icon-s-ORDER', 1, '', 99, 1, 1, 1683707629, 1685417159);
INSERT INTO `system_menu` VALUES (113, '饲喂计划编辑', 2, 3, '饲喂计划编辑', '', 'console/menu/show/index', 'iconfont el-icon-s-ORDER', 1, '', 100, 1, 1, 1683707629, 1685417159);
INSERT INTO `system_menu` VALUES (114, '日龄饲喂模板编辑', 2, 3, '日龄饲喂模板编辑', '', 'console/menu/show/index', 'iconfont el-icon-s-ORDER', 1, '', 101, 1, 1, 1683707629, 1685417159);
INSERT INTO `system_menu` VALUES (115, '犊牛类型编辑', 2, 3, '犊牛类型编辑', '', 'console/menu/show/index', 'iconfont el-icon-s-ORDER', 1, '', 102, 1, 1, 1683707629, 1685417159);
INSERT INTO `system_menu` VALUES (116, '饲喂车管理编辑', 2, 3, '饲喂车管理编辑', '', 'console/menu/show/index', 'iconfont el-icon-s-ORDER', 1, '', 103, 1, 1, 1683707629, 1685417159);
INSERT INTO `system_menu` VALUES (117, '预设饲喂模板编辑', 2, 3, '预设饲喂模板编辑', '', 'console/menu/show/index', 'iconfont el-icon-s-ORDER', 1, '', 104, 1, 1, 1683707629, 1685417159);
INSERT INTO `system_menu` VALUES (118, '默认标准参数编辑', 2, 3, '默认标准参数编辑', '', 'console/menu/show/index', 'iconfont el-icon-s-ORDER', 1, '', 105, 1, 1, 1683707629, 1685417159);
INSERT INTO `system_menu` VALUES (119, '饲料成本设置编辑', 2, 3, '饲料成本设置编辑', '', 'console/menu/show/index', 'iconfont el-icon-s-ORDER', 1, '', 106, 1, 1, 1683707629, 1685417159);
INSERT INTO `system_menu` VALUES (120, '用户管理编辑', 2, 3, '用户管理编辑', '', 'console/menu/show/index', 'iconfont el-icon-s-ORDER', 1, '', 108, 1, 1, 1683707629, 1685417159);
INSERT INTO `system_menu` VALUES (121, '角色管理编辑', 2, 3, '角色管理编辑', '', 'console/menu/show/index', 'iconfont el-icon-s-ORDER', 1, '', 107, 1, 1, 1683707629, 1685417159);
INSERT INTO `system_menu` VALUES (123, '工单任务分派', 1, 2, '工单任务分派', 'WorkTaskAssign', '', '', 0, '', 91, 1, 1, 0, 0);
INSERT INTO `system_menu` VALUES (124, '工单任务执行', 1, 2, '工单任务执行', 'WorkTaskImplement', '', '', 0, '', 91, 1, 1, 0, 0);
INSERT INTO `system_menu` VALUES (125, '增重趋势', 1, 2, '增重趋势', 'WeightTrend', '', '', 0, '', 87, 1, 1, 0, 0);
INSERT INTO `system_menu` VALUES (126, '配方效果', 1, 2, '配方效果', 'FormulaEffect', '', '', 0, '', 87, 1, 1, 0, 0);
INSERT INTO `system_menu` VALUES (127, '成长达标率', 1, 2, '成长达标率', 'GrowthRate', '', '', 0, '', 87, 1, 1, 0, 0);
INSERT INTO `system_menu` VALUES (128, '饲料成本', 1, 2, '饲料成本', 'FeedCost', '', '', 0, '', 87, 1, 1, 0, 0);
INSERT INTO `system_menu` VALUES (129, '疾病情况', 1, 2, '疾病情况', 'DiseaseSituation', '', '', 0, '', 87, 1, 1, 0, 0);
INSERT INTO `system_menu` VALUES (130, '存活率', 1, 2, '存活率', 'SurvivalRate', '', '', 0, '', 87, 1, 1, 0, 0);
INSERT INTO `system_menu` VALUES (131, '称量记录', 1, 2, '称量记录', 'WeightRecord', '', '', 0, '', 88, 1, 1, 0, 0);
INSERT INTO `system_menu` VALUES (132, '工单类型', 1, 2, '工单类型', 'WorkOrderType', '', '', 0, '', 92, 1, 1, 0, 0);
INSERT INTO `system_menu` VALUES (133, '疾病管理', 1, 2, '疾病管理', 'DiseaseManagement', '', '', 0, '', 92, 1, 1, 0, 0);
INSERT INTO `system_menu` VALUES (134, '消息提醒', 1, 2, '消息提醒', 'InfoRemind', '', '', 0, '', 92, 1, 1, 0, 0);
INSERT INTO `system_menu` VALUES (135, '称量记录编辑', 2, 3, '称量记录编辑', '', '', '', 0, '', 131, 1, 1, 0, 0);
INSERT INTO `system_menu` VALUES (136, '工单任务分派编辑', 2, 3, '工单任务分派编辑', '', '', '', 0, '', 123, 1, 1, 0, 0);
INSERT INTO `system_menu` VALUES (137, '工单任务执行编辑', 2, 3, '工单任务执行编辑', '', '', '', 0, '', 124, 1, 1, 0, 0);
INSERT INTO `system_menu` VALUES (138, '工单类型编辑', 2, 3, '工单类型编辑', '', '', '', 0, '', 132, 1, 1, 0, 0);
INSERT INTO `system_menu` VALUES (139, '疾病管理编辑', 2, 3, '疾病管理编辑', '', '', '', 0, '', 133, 1, 1, 0, 0);
INSERT INTO `system_menu` VALUES (140, '消息提醒编辑', 2, 3, '消息提醒编辑', '', '', '', 0, '', 134, 1, 1, 0, 0);

SET FOREIGN_KEY_CHECKS = 1;
